CVE-2022-33070

Name
CVE-2022-33070
Description
Protobuf-c v1.4.0 was discovered to contain an invalid arithmetic shift via the function parse_tag_and_wiretype in protobuf-c/protobuf-c.c. This vulnerability allows attackers to cause a Denial of Service (DoS) via unspecified vectors.
NVD Severity
medium
Other trackers
Mailing lists
Exploits
Forges
GitHub (code, issues), Aports (code, issues)

References

Type URI
MISC https://github.com/protobuf-c/protobuf-c/pull/508
MISC https://github.com/protobuf-c/protobuf-c/issues/506

Match rules

CPE URI Source package Min version Max version
cpe:2.3:a:protobuf-c_project:protobuf-c:1.4.0:*:*:*:*:*:*:* protobuf-c == None == 1.4.0

Vulnerable and fixed packages

Source package Branch Version Maintainer Status
protobuf-c 3.16-main 1.4.0-r0 Leonardo Arena <rnalrd@alpinelinux.org> possibly vulnerable
protobuf-c 3.15-main 1.4.0-r0 Leonardo Arena <rnalrd@alpinelinux.org> possibly vulnerable